Skip to main content
GET
/
v1
/
accounts
/
resolve
Resolve Nigerian bank account name
curl --request GET \
  --url https://api.example.com/v1/accounts/resolve \
  --header 'Authorization: Bearer <token>'
{
  "accountName": "EBUKA CIROMA OLADEMJI",
  "accountNumber": "0123456789",
  "bankCode": "058",
  "bankName": "GTBank"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zuba.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Query Parameters

bankCode
string
required

3-digit CBN bank code

Example:

"058"

accountNumber
string
required

10-digit account number

Example:

"0123456789"

Response

Account name resolved successfully

accountName
string
required

Resolved account holder name

Example:

"EBUKA CIROMA OLADEMJI"

accountNumber
string
required

Account number

Example:

"0123456789"

bankCode
string
required

Bank code

Example:

"058"

bankName
string
required

Bank name

Example:

"GTBank"